summaryrefslogtreecommitdiff
path: root/src/lib/elementary
diff options
context:
space:
mode:
authorMike Blumenkrantz <zmike@samsung.com>2019-09-26 17:03:38 +0200
committerXavi Artigas <xavierartigas@yahoo.es>2019-09-26 18:00:32 +0200
commit5256b9476d12c8057532de45a1500a3290649c7d (patch)
treeedb89e3c2e6fb8c6e50408f7d0893abe770c08bd /src/lib/elementary
parent6f6407729e8cb6da3813ac6ee1b4be8045bb5f89 (diff)
efl_ui/layout: improve error message when theme version parsing fails
Summary: be very explicit here so that users can immediately know how to resolve the issue Depends on D10193 Subscribers: cedric, #reviewers, #committers Tags: #efl Differential Revision: https://phab.enlightenment.org/D10194
Diffstat (limited to 'src/lib/elementary')
-rw-r--r--src/lib/elementary/efl_ui_layout.c4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/lib/elementary/efl_ui_layout.c b/src/lib/elementary/efl_ui_layout.c
index d25e86c..5719d23 100644
--- a/src/lib/elementary/efl_ui_layout.c
+++ b/src/lib/elementary/efl_ui_layout.c
@@ -575,6 +575,8 @@ _efl_ui_layout_base_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Layout_Data *sd)
575 { 575 {
576 ERR("Widget(%p) with type '%s' is not providing a version in its theme!", obj, 576 ERR("Widget(%p) with type '%s' is not providing a version in its theme!", obj,
577 efl_class_name_get(efl_class_get(obj))); 577 efl_class_name_get(efl_class_get(obj)));
578 ERR("Group '%s' should have data.item: \"version\" \"%d%d\";",
579 efl_file_key_get(wd->resize_obj), EFL_VERSION_MAJOR, EFL_VERSION_MINOR);
578 return EFL_UI_THEME_APPLY_ERROR_VERSION; 580 return EFL_UI_THEME_APPLY_ERROR_VERSION;
579 } 581 }
580 else 582 else
@@ -585,6 +587,8 @@ _efl_ui_layout_base_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Layout_Data *sd)
585 { 587 {
586 ERR("Widget(%p) with type '%s' is not providing a valid version in its theme!", obj, 588 ERR("Widget(%p) with type '%s' is not providing a valid version in its theme!", obj,
587 efl_class_name_get(efl_class_get(obj))); 589 efl_class_name_get(efl_class_get(obj)));
590 ERR("Group '%s' should have data.item: \"version\" \"%d%d\";",
591 efl_file_key_get(wd->resize_obj), EFL_VERSION_MAJOR, EFL_VERSION_MINOR);
588 sd->version = 0; 592 sd->version = 0;
589 return EFL_UI_THEME_APPLY_ERROR_VERSION; 593 return EFL_UI_THEME_APPLY_ERROR_VERSION;
590 } 594 }